# Kasumi: Dictionary management tool for Anthy
# Copyright (C) 2004 Takashi Nakamoto
#
# This file is part of Kasumi
#
# Kasumi is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Please send bug-reports, opinions and patches, if any, to me by E-Mail.
# My E-mail address is following: bluedwarf@openoffice.org

require 'gtk2'

COL_WORD = 0
COL_YOMI = 1
COL_FREQ = 2
COL_PART = 3
COL_ETC = 4

$store = Gtk::ListStore.new(String,String,Integer,String,Hash,Integer)

def create_wordtable
  view = Gtk::TreeView.new

  renderer = Gtk::CellRendererText.new
  view.insert_column(-1,"単語",renderer,{"text" => COL_WORD})

  renderer = Gtk::CellRendererText.new
  view.insert_column(-1,"読み",renderer,{"text" => COL_YOMI})

  renderer = Gtk::CellRendererText.new
  view.insert_column(-1,"頻度",renderer,{"text" => COL_FREQ})

  renderer = Gtk::CellRendererText.new
  view.insert_column(-1,"品詞",renderer,{"text" => COL_PART})

  view.set_model($store)

  return view
end
